/*
 * JBoss, Home of Professional Open Source
 * Copyright 2011, Red Hat Middleware LLC, and individual contributors
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.jboss.weld.osgi.examples.standalone;

import org.osgi.service.packageadmin.PackageAdmin;

import javax.inject.Inject;
import org.jboss.weld.environment.osgi.api.Service;
import org.jboss.weld.environment.osgi.api.annotation.OSGiService;

public class MyService {

    @Inject @OSGiService
    private PackageAdmin admin;

    @Inject
    private Service<PackageAdmin> adminService;

    public PackageAdmin admin() {
        return admin;
    }

    public int adminAvailable() {
        return adminService.size();
    }

    public String hello() {
        return "Hello";
    }
}
